XMLSerializable (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.util, interface: XMLSerializable

# Interface XMLSerializable

All Known Implementing Classes:
  `AggregateConditionNode, ASTAbs, ASTAdd, ASTAggregateFunctionCall, ASTAll, ASTAnd, ASTAny, ASTAsterisk, ASTAvg, ASTBetween, ASTBitwiseAnd, ASTBitwiseLeftShift, ASTBitwiseNot, ASTBitwiseOr, ASTBitwiseRightShift, ASTBitwiseXor, ASTCaseWhen, ASTConcat, ASTCount, ASTCurrentDate, ASTCurrentTime, ASTCurrentTimestamp, ASTCustomAggregate, ASTCustomFunction, ASTCustomOperator, ASTDbIdPath, ASTDbPath, ASTDistinct, ASTDivide, ASTElse, ASTEnclosingObject, ASTEnum, ASTEqual, ASTExists, ASTExtract, ASTFalse, ASTFullObject, ASTFunctionCall, ASTGreater, ASTGreaterOrEqual, ASTIn, ASTLength, ASTLess, ASTLessOrEqual, ASTLike, ASTLikeIgnoreCase, ASTList, ASTLocate, ASTLower, ASTMax, ASTMin, ASTMod, ASTMultiply, ASTNamedParameter, ASTNegate, ASTNot, ASTNotBetween, ASTNotEqual, ASTNotExists, ASTNotIn, ASTNotLike, ASTNotLikeIgnoreCase, ASTObjPath, ASTOr, ASTPath, ASTScalar, ASTSqrt, ASTSubquery, ASTSubstring, ASTSubtract, ASTSum, ASTThen, ASTTrim, ASTTrue, ASTUpper, ASTWhen, Attribute, ConditionNode, DataChannelDescriptor, DataMap, DataNodeDescriptor, DataSourceDescriptor, DbAttribute, DbEntity, DbJoin, DbKeyGenerator, DbRelationship, EJBQLQueryDescriptor, Embeddable, EmbeddableAttribute, EmbeddedAttribute, Entity, EvaluatedBitwiseNode, EvaluatedMathNode, EvaluatedNode, Expression, ObjAttribute, ObjEntity, ObjRelationship, Ordering, PatternMatchNode, PrefetchTreeNode, Procedure, ProcedureParameter, ProcedureQueryDescriptor, QueryDescriptor, Relationship, SelectQueryDescriptor, SimpleNode, SQLTemplateDescriptor`

public interface XMLSerializable
Interface for Cayenne objects that can be saved to XML.

Since:
  1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor<?> delegate)`
  Prints itself as XML to the provided XMLEncoder.

- ## Method Details

  - ### encodeAsXML

    void encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor<?> delegate)
    Prints itself as XML to the provided XMLEncoder.
    Since:
      1.1